Bug 783061

Summary: Review Request: omniORB - A robust high performance CORBA ORB for C++ and Python
Product: [Fedora] Fedora Reporter: Haïkel Guémar <karlthered>
Component: Package ReviewAssignee: Michael Scherer <misc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: misc, notting, package-review, pingou
Target Milestone: ---Flags: misc: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: omniORB-4.1.6-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-09 19:47:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 783064, 783066    

Description Haïkel Guémar 2012-01-19 03:51:11 EST
Spec URL: http://hguemar.fedorapeople.org/diet/omniORB.spec
SRPM URL: http://hguemar.fedorapeople.org/diet/omniORB-4.1.6-1.fc16.src.rpm
Description: omniORB is a CORBA 2.6 compliant open source implementation
Comment 1 Michael Scherer 2012-01-30 17:06:45 EST
Ok, here is the review, made partially with fedora-review

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
Nota : ./src/lib/omnithread/vxWorks.cc lack explicit license 
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files servers section. This is OK if
     packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[!]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint omniORB-4.1.6-1.fc17.src.rpm

omniORB.src: W: strange-permission omniORB-nameserver.init 0755L
omniORB.src:121: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
omniORB.src:122: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
omniORB.src:208: E: hardcoded-library-path in /lib/systemd/system/omniNames.service
1 packages and 0 specfiles checked; 3 errors, 1 warnings.


rpmlint omniORB-utils-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-doc-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-servers-4.1.6-1.fc17.i686.rpm

omniORB-servers.i686: E: incoherent-logrotate-file /etc/logrotate.d/omniNames
omniORB-servers.i686: W: non-standard-uid /var/log/omniORB omniORB
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


rpmlint omniORB-debuginfo-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-devel-4.1.6-1.fc17.i686.rpm

omniORB-devel.i686: W: no-manual-page-for-binary omniidlrun.py
omniORB-devel.i686: W: no-manual-page-for-binary omkdepend
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/783061/omniORB-4.1.6.tar.bz2 :
  MD5SUM this package     : 44990f8139c349b53ab43110de6c629b
  MD5SUM upstream package : 44990f8139c349b53ab43110de6c629b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1: omniORB-nameserver.init (omniORB-nameserver.init) Source2:
     omniORB-nameserver.logrotate (omniORB-nameserver.logrotate) Source3:
     omniORB.cfg (omniORB.cfg) Source4: omniNames.service (omniNames.service)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files servers section. This is OK if
     packaging for EPEL5. Otherwise not needed
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[!]: MUST Rpmlint output is silent.

rpmlint omniORB-4.1.6-1.fc17.src.rpm

omniORB.src: W: strange-permission omniORB-nameserver.init 0755L
omniORB.src:121: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
omniORB.src:122: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/
omniORB.src:208: E: hardcoded-library-path in /lib/systemd/system/omniNames.service
1 packages and 0 specfiles checked; 3 errors, 1 warnings.


rpmlint omniORB-utils-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-doc-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-servers-4.1.6-1.fc17.i686.rpm

omniORB-servers.i686: E: incoherent-logrotate-file /etc/logrotate.d/omniNames
omniORB-servers.i686: W: non-standard-uid /var/log/omniORB omniORB
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


rpmlint omniORB-debuginfo-4.1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint omniORB-devel-4.1.6-1.fc17.i686.rpm

omniORB-devel.i686: W: no-manual-page-for-binary omniidlrun.py
omniORB-devel.i686: W: no-manual-page-for-binary omkdepend
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Generated by fedora-review 0.1.1
External plugins:

So the rpmlint is not silent, but we can ignore the warnings, and the error is IMHO a false positive, and not a review blocker.

There is a missing requires for EPEL 5 ( keep in mind if you wish to put it there ), and a missing comment on the patch ( refused upstream, as we discussed on irc, again not a blocker ). 

And the only potential issue is the missing requires on logrotate, but since few daemons seems to requires it ( like lighttpd, or apache ), i guess this is not a important issue ).

So to me, this is good to go.
Comment 2 Haïkel Guémar 2012-01-31 02:58:27 EST
New Package SCM Request
=======================
Package Name: omniORB 
Short Description: A robust high performance CORBA ORB for C++ and Python
Owners: hguemar
Branches: f15 f16 el5 el6
InitialCC: hguemar
Comment 3 Jon Ciesla 2012-01-31 09:11:15 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-01-31 16:57:15 EST
omniORB-4.1.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/omniORB-4.1.6-1.fc16
Comment 5 Fedora Update System 2012-01-31 17:04:35 EST
omniORB-4.1.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/omniORB-4.1.6-1.fc15
Comment 6 Fedora Update System 2012-01-31 17:44:06 EST
omniORB-4.1.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/omniORB-4.1.6-1.el6
Comment 7 Fedora Update System 2012-01-31 18:54:53 EST
omniORB-4.1.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 8 Fedora Update System 2012-02-01 02:07:19 EST
omniORB-4.1.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/omniORB-4.1.6-1.el5
Comment 9 Fedora Update System 2012-02-09 19:47:02 EST
omniORB-4.1.6-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2012-02-09 19:48:44 EST
omniORB-4.1.6-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-02-15 15:00:39 EST
omniORB-4.1.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Fedora Update System 2012-02-15 15:02:02 EST
omniORB-4.1.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.